using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using GarmentFactoryDataModels.Enums;
using GarmentFactoryDataModels.Models;
using System.ComponentModel;
using GarmentFactoryContracts.Attributes;

namespace GarmentFactoryContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
		[Column(title: "Номер", width: 90)]
		public int Id { get; set; }
		[Column(visible: false)]
		public int? ImplementerId { get; set; }

		[Column(title: "ФИО исполнителя", width: 150)]
		public string ImplementerFIO { get; set; } = string.Empty;
		[Column(visible: false)]
		public int TextileId { get; set; }
		[Column(title: "Изделие", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string TextileName { get; set; } = string.Empty;
		[Column(visible: false)]
		public int ClientId { get; set; }

		[Column(title: "ФИО клиента", width: 190)]
		public string ClientFIO { get; set; } = string.Empty;
		[Column(title: "Количество", width: 100)]
		public int Count { get; set; }
		[Column(title: "Сумма", width: 120)]
		public double Sum { get; set; }
		[Column(title: "Статус", width: 70)]
		public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
		[Column(title: "Дата создания", width: 120)]
		public DateTime DateCreate { get; set; } = DateTime.Now;
		[Column(title: "Дата выполнения", width: 120)]
		public DateTime? DateImplement { get; set; }
		[Column(visible: false)]
		public string ClientEmail { get; set; } = string.Empty;
    }
}
